﻿using UnityEngine;
using System.Collections;

public class MapManager : MonoBehaviour
{
    public MapNode CurrentMap;
    public Vector3 LastPoint;

    static MapManager _inst;
    public static MapManager Instance
    {
        get
        {
            if(_inst == null)
            {
                _inst = new MapManager();
            }
            return _inst;
        }
    }

    public void Start()
    {
        _inst = this;
    }

    public void SwitchMap(MapNode newMap)
    {
        CurrentMap.gameObject.SetActive(false);
        newMap.gameObject.SetActive(true);
        CurrentMap = newMap;
    }
}
