﻿using UnityEngine;
using System.Collections;

public class RedShirtPit : MonoBehaviour
{
    public int BodyCount = 0;

    public Sprite[] Sprites;
    public SpriteRenderer Renderer;
    public Collider Block;

    public void OnTriggerEnter(Collider collider)
    {
        if(collider.GetComponent<RedShirtController>() != null)
        {
            if (IncreaseBodyCount())
            {
                collider.GetComponent<RedShirtController>().Kill();
            }
        }
    }
    bool IncreaseBodyCount()
    {
        if (BodyCount == Sprites.Length) return false;

        Renderer.sprite = Sprites[BodyCount];

        BodyCount++;
        if(BodyCount == Sprites.Length)
        {
            Block.gameObject.SetActive(false);
        }
        return true;
    }
}
