﻿using UnityEngine;
using System.Collections;

public class TwoState : MonoBehaviour
{
    public Sprite SpriteA;
    public Sprite SpriteB;
    public bool CollideA;
    public bool CollideB;
    public bool SpriteAChosen = true;
    bool SpriteAChosenLast = false;

    SpriteRenderer SRenderer;
    Collider Collider;

    public void Start()
    {
        SRenderer = GetComponent<SpriteRenderer>();
        Collider = GetComponent<Collider>();
    }

    public void Update()
    {
        if(SpriteAChosen != SpriteAChosenLast)
        {
            SRenderer.sprite = SpriteAChosen ? SpriteA : SpriteB;
            Collider.enabled = SpriteAChosen ? CollideA : CollideB;
            SpriteAChosenLast = SpriteAChosen;
        }
    }
}
